module.exports = {
  root: true,
  parser: 'babel-eslint',
  parserOptions: {
    ecmaVersion: 2019,
    allowImportExportEverywhere: true,
    ecmaFeatures: {
      'jsx': true
    }
  },
  env: {
    es6: true,
    node: true
  },
  extends: [
    'standard',
    'standard-react',
    'plugin:promise/recommended',
    'plugin:import/errors',
    'plugin:import/warnings',
    'plugin:jsx-a11y/recommended',
    'plugin:react/recommended',
    'plugin:prettier/recommended',
    'prettier',
    'prettier/react',
    'prettier/standard',
  ],
  plugins: [
    'jsx-a11y'
  ],
  rules: {
    'prettier/prettier': [
      'error',
      {
        'trailingComma': 'es5',
        'singleQuote': true,
        'printWidth': 120
      }
    ],
    'linebreak-style': 'off',
    'no-underscore-dangle': [
      'error',
      {
        'allow': [
          '_id'
        ]
      }
    ],
    'import/no-extraneous-dependencies': 'off',
    'react/forbid-prop-types': [
      'off'
    ]
  }
}
